#ifndef SPI_ESP_DIRECT_APP_H
#define SPI_ESP_DIRECT_APP_H

#include <spiESP.h>

class SpiEspDirect{
  protected:
    SpiEsp *spiESP;
    
  public:
	SpiEspDirect(SpiEsp *spi_ESP){spiESP = spi_ESP; }
	void delayESP8266(unsigned long ulMilliseconds);
	
	void vHSPIinit();
	byte bySpiWr(byte addr,byte value);
	byte bySpiRd(byte addr);
	byte SPIwriteRegister(byte addr,byte value);
	byte SPIreadRegister(byte addr);
	void SPIwriteBurst(unsigned char addr, unsigned char *ptr, unsigned char len);
	void SPIreadBurst(unsigned char addr, unsigned char *ptr, unsigned char len);
};


#endif // SPI_ESP_DIRECT_APP_H

